Vue.component("NoteTree",{props:{data:{type:Array,require:!0},nodeDepth:{type:Number,default:0}},methods:{hasChildren(e){return e.folders&&0<e.folders.length},getToggleClass(e){return-1<app.folderExpandIDs.indexOf(e.uuid)?"open":""},handleToggle(e){var t=app.folderExpandIDs.indexOf(e);-1<t?app.folderExpandIDs.splice(t,1):app.folderExpandIDs.push(e)},handleSelect(e){app.folderCheckedID=e.uuid,this.handleToggle(e.uuid)}},template:`<ul class="note-tree">
    <li
      v-for="item in data"
      :key="item.uuid"
      :class="['note-tree-item', getToggleClass(item)]"
      :style="'--node-depth:' + nodeDepth"
    >
      <div :class="['note-tree-title', {active: item.uuid === app.folderCheckedID}]" @click="handleSelect(item)">
        <span :class="['note-icon-arrow', {'note-tree-hidden': !hasChildren(item)}]" @click.stop="handleToggle(item.uuid)"></span>
        <span class="note-icon-folder"></span>
        <span class="note-tree-name">{{ item.fn }}</span>
        <span class="note-tree-num" v-if="item.cnt">({{ item.cnt }})</span>
      </div>
      <note-tree
        v-if="hasChildren(item)"
        :data="item.folders"
        :nodeDepth="nodeDepth + 1"
      ></note-tree>
    </li>
  </ul>`});